package com.hai.entity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * high_child_order
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighChildOrder implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 用户id
     */
    private Long memId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店地址
     */
    private String storeAddress;

    /**
     * 商品类型   1:卡卷 2:金币充值  3:团油【加油站】 4: KFC  5：电影票   6：话费充值  7：优惠卷包 8：汇联通充值
     */
    private Integer goodsType;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * 商品的名称
     */
    private String goodsName;

    /**
     * 商品描述
     */
    private String goodsDesc;

    /**
     * 商品图片
     */
    private String goodsImg;

    /**
     * 商品规格名称
     */
    private String goodsSpecName;

    /**
     * 商品的单价
     */
    private BigDecimal goodsPrice;

    /**
     * 商品的实际价格
     */
    private BigDecimal goodsActualPrice;

    /**
     * 商品的数量
     */
    private Integer saleCount;

    /**
     * 商品的价格（单价*数量）
     */
    private BigDecimal totalPrice;

    /**
     * 是否是赠品  0：否   1：是
     */
    private Boolean giveawayType;

    /**
     * 子订单状态：1 待支付  2 已支付  3.已完成  4. 已退款  5.已取消
     */
    private Integer childOrdeStatus;

    /**
     * 评价状态： 0：未评价  1：已评价
     */
    private Integer praiseStatus;

    /**
     * 【加油站】油号
     */
    private String gasOilNo;

    /**
     * 【加油站】油抢号
     */
    private String gasGunNo;

    /**
     * 【加油站】油品类型 1:汽油:2:柴油;3:天然气
     */
    private Integer gasOilType;

    /**
     * 【加油站】订单号
     */
    private String gasOrderNo;

    /**
     * 【加油站】平台价
     */
    private BigDecimal gasPricePlatform;

    /**
     * 【加油站】油枪价
     */
    private BigDecimal gasPriceGun;

    /**
     * 【加油站】优惠价
     */
    private BigDecimal gasPriceVip;

    /**
     * 【加油站】国标价
     */
    private BigDecimal gasPriceOfficial;

    /**
     * 【加油站】成本单价
     */
    private BigDecimal gasPriceCost;

    /**
     * 【加油站】成本总价
     */
    private BigDecimal gasPriceCostTotal;

    /**
     * 【加油站】渠道支付金额
     */
    private BigDecimal gasPriceChannelPay;

    /**
     * 【加油站】加油升数
     */
    private BigDecimal gasOilLiters;

    /**
     * 【加油站】加油折扣
     */
    private BigDecimal gasDiscount;

    /**
     * 【加油站】加油补贴
     */
    private BigDecimal gasOilSubsidy;

    /**
     * 【加油站】每升优惠
     */
    private BigDecimal gasLitersPreferences;

    /**
     * 【加油站】优惠价格
     */
    private BigDecimal gasPricePreferences;

    /**
     * 【加油站】班组id
     */
    private Long gasClassGroupId;

    /**
     * 【加油站】班组名称
     */
    private String gasClassGroupName;

    /**
     * 【加油站】班组任务id
     */
    private Long gasClassGroupTaskId;

    /**
     * 【加油站】加油员id
     */
    private Long gasStaffId;

    /**
     * 【加油站】加油员名称
     */
    private String gasStaffName;

    /**
     * 【加油站】业务员id
     */
    private Long gasSalesmanId;

    /**
     * 【加油站】业务员名称
     */
    private String gasSalesmanName;

    /**
     * 【加油站】代理商id
     */
    private Long gasAgentId;

    /**
     * 【加油站】代理商名称
     */
    private String gasAgentName;

    /**
     * 【加油站】代理公司id
     */
    private Long gasOrgId;

    /**
     * 【加油站】代理公司名称
     */
    private String gasOrgName;

    private String ext1;

    private String ext2;

    private String ext3;

    private String ext4;

    private String ext5;

    private String ext6;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getMemId() {
        return memId;
    }

    public void setMemId(Long memId) {
        this.memId = memId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreAddress() {
        return storeAddress;
    }

    public void setStoreAddress(String storeAddress) {
        this.storeAddress = storeAddress;
    }

    public Integer getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(Integer goodsType) {
        this.goodsType = goodsType;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsDesc() {
        return goodsDesc;
    }

    public void setGoodsDesc(String goodsDesc) {
        this.goodsDesc = goodsDesc;
    }

    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg;
    }

    public String getGoodsSpecName() {
        return goodsSpecName;
    }

    public void setGoodsSpecName(String goodsSpecName) {
        this.goodsSpecName = goodsSpecName;
    }

    public BigDecimal getGoodsPrice() {
        return goodsPrice;
    }

    public void setGoodsPrice(BigDecimal goodsPrice) {
        this.goodsPrice = goodsPrice;
    }

    public BigDecimal getGoodsActualPrice() {
        return goodsActualPrice;
    }

    public void setGoodsActualPrice(BigDecimal goodsActualPrice) {
        this.goodsActualPrice = goodsActualPrice;
    }

    public Integer getSaleCount() {
        return saleCount;
    }

    public void setSaleCount(Integer saleCount) {
        this.saleCount = saleCount;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Boolean getGiveawayType() {
        return giveawayType;
    }

    public void setGiveawayType(Boolean giveawayType) {
        this.giveawayType = giveawayType;
    }

    public Integer getChildOrdeStatus() {
        return childOrdeStatus;
    }

    public void setChildOrdeStatus(Integer childOrdeStatus) {
        this.childOrdeStatus = childOrdeStatus;
    }

    public Integer getPraiseStatus() {
        return praiseStatus;
    }

    public void setPraiseStatus(Integer praiseStatus) {
        this.praiseStatus = praiseStatus;
    }

    public String getGasOilNo() {
        return gasOilNo;
    }

    public void setGasOilNo(String gasOilNo) {
        this.gasOilNo = gasOilNo;
    }

    public String getGasGunNo() {
        return gasGunNo;
    }

    public void setGasGunNo(String gasGunNo) {
        this.gasGunNo = gasGunNo;
    }

    public Integer getGasOilType() {
        return gasOilType;
    }

    public void setGasOilType(Integer gasOilType) {
        this.gasOilType = gasOilType;
    }

    public String getGasOrderNo() {
        return gasOrderNo;
    }

    public void setGasOrderNo(String gasOrderNo) {
        this.gasOrderNo = gasOrderNo;
    }

    public BigDecimal getGasPricePlatform() {
        return gasPricePlatform;
    }

    public void setGasPricePlatform(BigDecimal gasPricePlatform) {
        this.gasPricePlatform = gasPricePlatform;
    }

    public BigDecimal getGasPriceGun() {
        return gasPriceGun;
    }

    public void setGasPriceGun(BigDecimal gasPriceGun) {
        this.gasPriceGun = gasPriceGun;
    }

    public BigDecimal getGasPriceVip() {
        return gasPriceVip;
    }

    public void setGasPriceVip(BigDecimal gasPriceVip) {
        this.gasPriceVip = gasPriceVip;
    }

    public BigDecimal getGasPriceOfficial() {
        return gasPriceOfficial;
    }

    public void setGasPriceOfficial(BigDecimal gasPriceOfficial) {
        this.gasPriceOfficial = gasPriceOfficial;
    }

    public BigDecimal getGasPriceCost() {
        return gasPriceCost;
    }

    public void setGasPriceCost(BigDecimal gasPriceCost) {
        this.gasPriceCost = gasPriceCost;
    }

    public BigDecimal getGasPriceCostTotal() {
        return gasPriceCostTotal;
    }

    public void setGasPriceCostTotal(BigDecimal gasPriceCostTotal) {
        this.gasPriceCostTotal = gasPriceCostTotal;
    }

    public BigDecimal getGasPriceChannelPay() {
        return gasPriceChannelPay;
    }

    public void setGasPriceChannelPay(BigDecimal gasPriceChannelPay) {
        this.gasPriceChannelPay = gasPriceChannelPay;
    }

    public BigDecimal getGasOilLiters() {
        return gasOilLiters;
    }

    public void setGasOilLiters(BigDecimal gasOilLiters) {
        this.gasOilLiters = gasOilLiters;
    }

    public BigDecimal getGasDiscount() {
        return gasDiscount;
    }

    public void setGasDiscount(BigDecimal gasDiscount) {
        this.gasDiscount = gasDiscount;
    }

    public BigDecimal getGasOilSubsidy() {
        return gasOilSubsidy;
    }

    public void setGasOilSubsidy(BigDecimal gasOilSubsidy) {
        this.gasOilSubsidy = gasOilSubsidy;
    }

    public BigDecimal getGasLitersPreferences() {
        return gasLitersPreferences;
    }

    public void setGasLitersPreferences(BigDecimal gasLitersPreferences) {
        this.gasLitersPreferences = gasLitersPreferences;
    }

    public BigDecimal getGasPricePreferences() {
        return gasPricePreferences;
    }

    public void setGasPricePreferences(BigDecimal gasPricePreferences) {
        this.gasPricePreferences = gasPricePreferences;
    }

    public Long getGasClassGroupId() {
        return gasClassGroupId;
    }

    public void setGasClassGroupId(Long gasClassGroupId) {
        this.gasClassGroupId = gasClassGroupId;
    }

    public String getGasClassGroupName() {
        return gasClassGroupName;
    }

    public void setGasClassGroupName(String gasClassGroupName) {
        this.gasClassGroupName = gasClassGroupName;
    }

    public Long getGasClassGroupTaskId() {
        return gasClassGroupTaskId;
    }

    public void setGasClassGroupTaskId(Long gasClassGroupTaskId) {
        this.gasClassGroupTaskId = gasClassGroupTaskId;
    }

    public Long getGasStaffId() {
        return gasStaffId;
    }

    public void setGasStaffId(Long gasStaffId) {
        this.gasStaffId = gasStaffId;
    }

    public String getGasStaffName() {
        return gasStaffName;
    }

    public void setGasStaffName(String gasStaffName) {
        this.gasStaffName = gasStaffName;
    }

    public Long getGasSalesmanId() {
        return gasSalesmanId;
    }

    public void setGasSalesmanId(Long gasSalesmanId) {
        this.gasSalesmanId = gasSalesmanId;
    }

    public String getGasSalesmanName() {
        return gasSalesmanName;
    }

    public void setGasSalesmanName(String gasSalesmanName) {
        this.gasSalesmanName = gasSalesmanName;
    }

    public Long getGasAgentId() {
        return gasAgentId;
    }

    public void setGasAgentId(Long gasAgentId) {
        this.gasAgentId = gasAgentId;
    }

    public String getGasAgentName() {
        return gasAgentName;
    }

    public void setGasAgentName(String gasAgentName) {
        this.gasAgentName = gasAgentName;
    }

    public Long getGasOrgId() {
        return gasOrgId;
    }

    public void setGasOrgId(Long gasOrgId) {
        this.gasOrgId = gasOrgId;
    }

    public String getGasOrgName() {
        return gasOrgName;
    }

    public void setGasOrgName(String gasOrgName) {
        this.gasOrgName = gasOrgName;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    public String getExt4() {
        return ext4;
    }

    public void setExt4(String ext4) {
        this.ext4 = ext4;
    }

    public String getExt5() {
        return ext5;
    }

    public void setExt5(String ext5) {
        this.ext5 = ext5;
    }

    public String getExt6() {
        return ext6;
    }

    public void setExt6(String ext6) {
        this.ext6 = ext6;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighChildOrder other = (HighChildOrder) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderId() == null ? other.getOrderId() == null : this.getOrderId().equals(other.getOrderId()))
            && (this.getMemId() == null ? other.getMemId() == null : this.getMemId().equals(other.getMemId()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getStoreName() == null ? other.getStoreName() == null : this.getStoreName().equals(other.getStoreName()))
            && (this.getStoreAddress() == null ? other.getStoreAddress() == null : this.getStoreAddress().equals(other.getStoreAddress()))
            && (this.getGoodsType() == null ? other.getGoodsType() == null : this.getGoodsType().equals(other.getGoodsType()))
            && (this.getGoodsId() == null ? other.getGoodsId() == null : this.getGoodsId().equals(other.getGoodsId()))
            && (this.getGoodsName() == null ? other.getGoodsName() == null : this.getGoodsName().equals(other.getGoodsName()))
            && (this.getGoodsDesc() == null ? other.getGoodsDesc() == null : this.getGoodsDesc().equals(other.getGoodsDesc()))
            && (this.getGoodsImg() == null ? other.getGoodsImg() == null : this.getGoodsImg().equals(other.getGoodsImg()))
            && (this.getGoodsSpecName() == null ? other.getGoodsSpecName() == null : this.getGoodsSpecName().equals(other.getGoodsSpecName()))
            && (this.getGoodsPrice() == null ? other.getGoodsPrice() == null : this.getGoodsPrice().equals(other.getGoodsPrice()))
            && (this.getGoodsActualPrice() == null ? other.getGoodsActualPrice() == null : this.getGoodsActualPrice().equals(other.getGoodsActualPrice()))
            && (this.getSaleCount() == null ? other.getSaleCount() == null : this.getSaleCount().equals(other.getSaleCount()))
            && (this.getTotalPrice() == null ? other.getTotalPrice() == null : this.getTotalPrice().equals(other.getTotalPrice()))
            && (this.getGiveawayType() == null ? other.getGiveawayType() == null : this.getGiveawayType().equals(other.getGiveawayType()))
            && (this.getChildOrdeStatus() == null ? other.getChildOrdeStatus() == null : this.getChildOrdeStatus().equals(other.getChildOrdeStatus()))
            && (this.getPraiseStatus() == null ? other.getPraiseStatus() == null : this.getPraiseStatus().equals(other.getPraiseStatus()))
            && (this.getGasOilNo() == null ? other.getGasOilNo() == null : this.getGasOilNo().equals(other.getGasOilNo()))
            && (this.getGasGunNo() == null ? other.getGasGunNo() == null : this.getGasGunNo().equals(other.getGasGunNo()))
            && (this.getGasOilType() == null ? other.getGasOilType() == null : this.getGasOilType().equals(other.getGasOilType()))
            && (this.getGasOrderNo() == null ? other.getGasOrderNo() == null : this.getGasOrderNo().equals(other.getGasOrderNo()))
            && (this.getGasPricePlatform() == null ? other.getGasPricePlatform() == null : this.getGasPricePlatform().equals(other.getGasPricePlatform()))
            && (this.getGasPriceGun() == null ? other.getGasPriceGun() == null : this.getGasPriceGun().equals(other.getGasPriceGun()))
            && (this.getGasPriceVip() == null ? other.getGasPriceVip() == null : this.getGasPriceVip().equals(other.getGasPriceVip()))
            && (this.getGasPriceOfficial() == null ? other.getGasPriceOfficial() == null : this.getGasPriceOfficial().equals(other.getGasPriceOfficial()))
            && (this.getGasPriceCost() == null ? other.getGasPriceCost() == null : this.getGasPriceCost().equals(other.getGasPriceCost()))
            && (this.getGasPriceCostTotal() == null ? other.getGasPriceCostTotal() == null : this.getGasPriceCostTotal().equals(other.getGasPriceCostTotal()))
            && (this.getGasPriceChannelPay() == null ? other.getGasPriceChannelPay() == null : this.getGasPriceChannelPay().equals(other.getGasPriceChannelPay()))
            && (this.getGasOilLiters() == null ? other.getGasOilLiters() == null : this.getGasOilLiters().equals(other.getGasOilLiters()))
            && (this.getGasDiscount() == null ? other.getGasDiscount() == null : this.getGasDiscount().equals(other.getGasDiscount()))
            && (this.getGasOilSubsidy() == null ? other.getGasOilSubsidy() == null : this.getGasOilSubsidy().equals(other.getGasOilSubsidy()))
            && (this.getGasLitersPreferences() == null ? other.getGasLitersPreferences() == null : this.getGasLitersPreferences().equals(other.getGasLitersPreferences()))
            && (this.getGasPricePreferences() == null ? other.getGasPricePreferences() == null : this.getGasPricePreferences().equals(other.getGasPricePreferences()))
            && (this.getGasClassGroupId() == null ? other.getGasClassGroupId() == null : this.getGasClassGroupId().equals(other.getGasClassGroupId()))
            && (this.getGasClassGroupName() == null ? other.getGasClassGroupName() == null : this.getGasClassGroupName().equals(other.getGasClassGroupName()))
            && (this.getGasClassGroupTaskId() == null ? other.getGasClassGroupTaskId() == null : this.getGasClassGroupTaskId().equals(other.getGasClassGroupTaskId()))
            && (this.getGasStaffId() == null ? other.getGasStaffId() == null : this.getGasStaffId().equals(other.getGasStaffId()))
            && (this.getGasStaffName() == null ? other.getGasStaffName() == null : this.getGasStaffName().equals(other.getGasStaffName()))
            && (this.getGasSalesmanId() == null ? other.getGasSalesmanId() == null : this.getGasSalesmanId().equals(other.getGasSalesmanId()))
            && (this.getGasSalesmanName() == null ? other.getGasSalesmanName() == null : this.getGasSalesmanName().equals(other.getGasSalesmanName()))
            && (this.getGasAgentId() == null ? other.getGasAgentId() == null : this.getGasAgentId().equals(other.getGasAgentId()))
            && (this.getGasAgentName() == null ? other.getGasAgentName() == null : this.getGasAgentName().equals(other.getGasAgentName()))
            && (this.getGasOrgId() == null ? other.getGasOrgId() == null : this.getGasOrgId().equals(other.getGasOrgId()))
            && (this.getGasOrgName() == null ? other.getGasOrgName() == null : this.getGasOrgName().equals(other.getGasOrgName()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getExt4() == null ? other.getExt4() == null : this.getExt4().equals(other.getExt4()))
            && (this.getExt5() == null ? other.getExt5() == null : this.getExt5().equals(other.getExt5()))
            && (this.getExt6() == null ? other.getExt6() == null : this.getExt6().equals(other.getExt6()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderId() == null) ? 0 : getOrderId().hashCode());
        result = prime * result + ((getMemId() == null) ? 0 : getMemId().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getStoreName() == null) ? 0 : getStoreName().hashCode());
        result = prime * result + ((getStoreAddress() == null) ? 0 : getStoreAddress().hashCode());
        result = prime * result + ((getGoodsType() == null) ? 0 : getGoodsType().hashCode());
        result = prime * result + ((getGoodsId() == null) ? 0 : getGoodsId().hashCode());
        result = prime * result + ((getGoodsName() == null) ? 0 : getGoodsName().hashCode());
        result = prime * result + ((getGoodsDesc() == null) ? 0 : getGoodsDesc().hashCode());
        result = prime * result + ((getGoodsImg() == null) ? 0 : getGoodsImg().hashCode());
        result = prime * result + ((getGoodsSpecName() == null) ? 0 : getGoodsSpecName().hashCode());
        result = prime * result + ((getGoodsPrice() == null) ? 0 : getGoodsPrice().hashCode());
        result = prime * result + ((getGoodsActualPrice() == null) ? 0 : getGoodsActualPrice().hashCode());
        result = prime * result + ((getSaleCount() == null) ? 0 : getSaleCount().hashCode());
        result = prime * result + ((getTotalPrice() == null) ? 0 : getTotalPrice().hashCode());
        result = prime * result + ((getGiveawayType() == null) ? 0 : getGiveawayType().hashCode());
        result = prime * result + ((getChildOrdeStatus() == null) ? 0 : getChildOrdeStatus().hashCode());
        result = prime * result + ((getPraiseStatus() == null) ? 0 : getPraiseStatus().hashCode());
        result = prime * result + ((getGasOilNo() == null) ? 0 : getGasOilNo().hashCode());
        result = prime * result + ((getGasGunNo() == null) ? 0 : getGasGunNo().hashCode());
        result = prime * result + ((getGasOilType() == null) ? 0 : getGasOilType().hashCode());
        result = prime * result + ((getGasOrderNo() == null) ? 0 : getGasOrderNo().hashCode());
        result = prime * result + ((getGasPricePlatform() == null) ? 0 : getGasPricePlatform().hashCode());
        result = prime * result + ((getGasPriceGun() == null) ? 0 : getGasPriceGun().hashCode());
        result = prime * result + ((getGasPriceVip() == null) ? 0 : getGasPriceVip().hashCode());
        result = prime * result + ((getGasPriceOfficial() == null) ? 0 : getGasPriceOfficial().hashCode());
        result = prime * result + ((getGasPriceCost() == null) ? 0 : getGasPriceCost().hashCode());
        result = prime * result + ((getGasPriceCostTotal() == null) ? 0 : getGasPriceCostTotal().hashCode());
        result = prime * result + ((getGasPriceChannelPay() == null) ? 0 : getGasPriceChannelPay().hashCode());
        result = prime * result + ((getGasOilLiters() == null) ? 0 : getGasOilLiters().hashCode());
        result = prime * result + ((getGasDiscount() == null) ? 0 : getGasDiscount().hashCode());
        result = prime * result + ((getGasOilSubsidy() == null) ? 0 : getGasOilSubsidy().hashCode());
        result = prime * result + ((getGasLitersPreferences() == null) ? 0 : getGasLitersPreferences().hashCode());
        result = prime * result + ((getGasPricePreferences() == null) ? 0 : getGasPricePreferences().hashCode());
        result = prime * result + ((getGasClassGroupId() == null) ? 0 : getGasClassGroupId().hashCode());
        result = prime * result + ((getGasClassGroupName() == null) ? 0 : getGasClassGroupName().hashCode());
        result = prime * result + ((getGasClassGroupTaskId() == null) ? 0 : getGasClassGroupTaskId().hashCode());
        result = prime * result + ((getGasStaffId() == null) ? 0 : getGasStaffId().hashCode());
        result = prime * result + ((getGasStaffName() == null) ? 0 : getGasStaffName().hashCode());
        result = prime * result + ((getGasSalesmanId() == null) ? 0 : getGasSalesmanId().hashCode());
        result = prime * result + ((getGasSalesmanName() == null) ? 0 : getGasSalesmanName().hashCode());
        result = prime * result + ((getGasAgentId() == null) ? 0 : getGasAgentId().hashCode());
        result = prime * result + ((getGasAgentName() == null) ? 0 : getGasAgentName().hashCode());
        result = prime * result + ((getGasOrgId() == null) ? 0 : getGasOrgId().hashCode());
        result = prime * result + ((getGasOrgName() == null) ? 0 : getGasOrgName().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getExt4() == null) ? 0 : getExt4().hashCode());
        result = prime * result + ((getExt5() == null) ? 0 : getExt5().hashCode());
        result = prime * result + ((getExt6() == null) ? 0 : getExt6().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderId=").append(orderId);
        sb.append(", memId=").append(memId);
        sb.append(", storeId=").append(storeId);
        sb.append(", storeName=").append(storeName);
        sb.append(", storeAddress=").append(storeAddress);
        sb.append(", goodsType=").append(goodsType);
        sb.append(", goodsId=").append(goodsId);
        sb.append(", goodsName=").append(goodsName);
        sb.append(", goodsDesc=").append(goodsDesc);
        sb.append(", goodsImg=").append(goodsImg);
        sb.append(", goodsSpecName=").append(goodsSpecName);
        sb.append(", goodsPrice=").append(goodsPrice);
        sb.append(", goodsActualPrice=").append(goodsActualPrice);
        sb.append(", saleCount=").append(saleCount);
        sb.append(", totalPrice=").append(totalPrice);
        sb.append(", giveawayType=").append(giveawayType);
        sb.append(", childOrdeStatus=").append(childOrdeStatus);
        sb.append(", praiseStatus=").append(praiseStatus);
        sb.append(", gasOilNo=").append(gasOilNo);
        sb.append(", gasGunNo=").append(gasGunNo);
        sb.append(", gasOilType=").append(gasOilType);
        sb.append(", gasOrderNo=").append(gasOrderNo);
        sb.append(", gasPricePlatform=").append(gasPricePlatform);
        sb.append(", gasPriceGun=").append(gasPriceGun);
        sb.append(", gasPriceVip=").append(gasPriceVip);
        sb.append(", gasPriceOfficial=").append(gasPriceOfficial);
        sb.append(", gasPriceCost=").append(gasPriceCost);
        sb.append(", gasPriceCostTotal=").append(gasPriceCostTotal);
        sb.append(", gasPriceChannelPay=").append(gasPriceChannelPay);
        sb.append(", gasOilLiters=").append(gasOilLiters);
        sb.append(", gasDiscount=").append(gasDiscount);
        sb.append(", gasOilSubsidy=").append(gasOilSubsidy);
        sb.append(", gasLitersPreferences=").append(gasLitersPreferences);
        sb.append(", gasPricePreferences=").append(gasPricePreferences);
        sb.append(", gasClassGroupId=").append(gasClassGroupId);
        sb.append(", gasClassGroupName=").append(gasClassGroupName);
        sb.append(", gasClassGroupTaskId=").append(gasClassGroupTaskId);
        sb.append(", gasStaffId=").append(gasStaffId);
        sb.append(", gasStaffName=").append(gasStaffName);
        sb.append(", gasSalesmanId=").append(gasSalesmanId);
        sb.append(", gasSalesmanName=").append(gasSalesmanName);
        sb.append(", gasAgentId=").append(gasAgentId);
        sb.append(", gasAgentName=").append(gasAgentName);
        sb.append(", gasOrgId=").append(gasOrgId);
        sb.append(", gasOrgName=").append(gasOrgName);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", ext4=").append(ext4);
        sb.append(", ext5=").append(ext5);
        sb.append(", ext6=").append(ext6);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}